ldsb.hh File Reference
`#include <gecode/int.hh>`
`#include <gecode/int/ldsb/brancher.hpp>`
`#include <gecode/int/ldsb/sym-imp.hpp>`

Go to the source code of this file.

## Classes

class | Gecode::Int::LDSB::Literal
| A Literal is a pair of variable index and value. More...
class | Gecode::ArrayTraits< ArgArray< VarImpBase * > >
| Traits of ArgArray<VarImpBase*>. More...
class | Gecode::ArrayTraits< LiteralArgs >
| Traits of LiteralArgs. More...
class | Gecode::Int::LDSB::SymmetryObject
| Implementation of a symmetry at the modelling level. More...
class | Gecode::Int::LDSB::VariableSymmetryObject
| Implementation of a variable symmetry at the modelling level. More...
class | Gecode::Int::LDSB::ValueSymmetryObject
| Implementation of a value symmetry at the modelling level. More...
class | Gecode::Int::LDSB::VariableSequenceSymmetryObject
| Implementation of a variable sequence symmetry at the modelling level. More...
class | Gecode::Int::LDSB::ValueSequenceSymmetryObject
| Implementation of a value sequence symmetry at the modelling level. More...
class | Gecode::Int::LDSB::SymmetryImp< View >
| Implementation of a single symmetry. More...
class | Gecode::Int::LDSB::VariableSymmetryImp< View >
| Implementation of a variable symmetry. More...
class | Gecode::Int::LDSB::ValueSymmetryImp< View >
| Implementation of a value symmetry. More...
class | Gecode::Int::LDSB::VariableSequenceSymmetryImp< View >
| Implementation of a variable sequence symmetry. More...
class | Gecode::Int::LDSB::ValueSequenceSymmetryImp< View >
| Implementation of a value sequence symmetry. More...
class | Gecode::Int::LDSB::LDSBChoice< Val >
| Choice storing position and value, and symmetric literals to be excluded on the right branch. More...
class | Gecode::Int::LDSB::LDSBBrancher< View, n, Val, a, Filter, Print >
| Symmetry-breaking brancher with generic view and value selection. More...

## Namespaces

namespace | Gecode::Int::LDSB
| Symmetry breaking for integer variables.
namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.

## Typedefs

typedef ArgArray< Int::LDSB::Literal > | Gecode::LiteralArgs
| An array of literals.

## Functions

std::pair< int, int > | Gecode::Int::LDSB::findVar (int *indices, unsigned int n_values, unsigned int seq_size, int index)
| Find the location of an integer in a collection of sequences.
template<class View, int n, class Val, unsigned int a>
void | Gecode::Int::LDSB::postldsbbrancher (Home home, ViewArray< View > &x, ViewSel< View > *vs[n], ValSelCommitBase< View, Val > *vsc, SymmetryImp< View > **syms, int nsyms, BranchFilter< typename View::VarType > bf, VarValPrint< typename View::VarType, Val > vvp)
| Post LDSB brancher.
template<class View>
ModEvent | Gecode::Int::LDSB::prune (Space &home, View x, int v)
| Exclude value \v from variable view \x.